/* ISDN Monitor panel applet
 * Insprired by kimon by Markus Dahlweid dahlweid@tzi.org 
 *
 * By Uwe Steinmann <Uwe.Steinmann@fernuni-hagen.de>
 *
 * Enjoy.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or 
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License  
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>

typedef struct _history {
	int inout;
	char *number;
	struct timeval tv_start;
	struct timeval tv_end;
} HISTORY;

GList *historylist = NULL;

static void
my_list_print(gpointer list_data, gpointer user_data) {
	HISTORY *hist;

	hist = (HISTORY *) list_data;
	g_print("%s - %s\n", hist->inout == 0 ? "In" : "Out", hist->number);
}

HIST *
add_connection(int inout, char *number, struct timeval tv_start, struct timeval tv_end) {
	HISTORY *hist;
	hist = malloc(sizeof(HISTORY));
	hist->inout = inout;
	hist->number = strdup(number);
	hist->tv_start = tv_start;
	hist->tv_end = tv_end;

	return hist;
}

