/* ISDN Monitor panel applet
 * Insprired by kimon by Markus Dahlweid dahlweid@tzi.org 
 *
 * By Uwe Steinmann <Uwe.Steinmann@fernuni-hagen.de>
 *
 * Enjoy.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or 
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License  
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __GIMON_H__
#define __GIMON_H__

#include <linux/isdn.h>

typedef struct _ISDN_STATUS {
	char *idmap[ISDN_MAX_CHANNELS];
	int chmap[ISDN_MAX_CHANNELS];
	int drmap[ISDN_MAX_CHANNELS];
	int usage[ISDN_MAX_CHANNELS];
	int compare[ISDN_MAX_CHANNELS];
	int flags[ISDN_MAX_DRIVERS];
	char *phone[ISDN_MAX_CHANNELS];
} ISDN_STATUS;

#endif
